Package org.apache.sling.auth.core.spi

# Class AbstractAuthenticationFormServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.sling.auth.core.spi.AbstractAuthenticationFormServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

@Deprecated public abstract class AbstractAuthenticationFormServlet extends javax.servlet.http.HttpServlet
Deprecated.
Use `AbstractJakartaAuthenticationFormServlet`
The `AbstractAuthenticationFormServlet` provides a basic implementation of a simple servlet to render a login form for authentication purposes.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CUSTOM_FORM_PATH`
Deprecated.
The path to the custom login form.
`static final String`
`DEFAULT_FORM_PATH`
Deprecated.
The path to the default login form.

## Constructor Summary

Constructors
Constructor
Description
`AbstractAuthenticationFormServlet()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
Deprecated.
Prepares and returns the login form.
`protected void`
`doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
Deprecated.
Prepares and returns the login form.
`protected String`
`getContextPath(javax.servlet.http.HttpServletRequest request)`
Deprecated.
Returns the context path for the authentication form request.
`protected String`
`getCustomFormPath()`
Deprecated.
Returns the path to the custom login form to load through the class loader of this instance using `Class.getResourceAsStream`.
`protected String`
`getDefaultFormPath()`
Deprecated.
Returns the path to the default login form to load through the class loader of this instance using `Class.getResourceAsStream`.
`protected String`
`getForm(javax.servlet.http.HttpServletRequest request)`
Deprecated.
Returns the form to be sent back to the client for login providing an optional informational message and the optional target to redirect to after successfully logging in.
`protected abstract String`
`getReason(javax.servlet.http.HttpServletRequest request)`
Deprecated.
Returns an informational message according to the value provided in the `j_reason` request parameter.
`protected String`
`getResource(javax.servlet.http.HttpServletRequest request)`
Deprecated.
Returns the path to the resource to which the request should be redirected after successfully completing the form or an empty string if there is no `resource` request parameter.

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_FORM_PATH

public static final String DEFAULT_FORM_PATH
Deprecated.
The path to the default login form.

See Also:
  - `getDefaultFormPath()`
  - Constant Field Values

### CUSTOM_FORM_PATH

public static final String CUSTOM_FORM_PATH
Deprecated.
The path to the custom login form.

See Also:
  - `getCustomFormPath()`
  - Constant Field Values

## Constructor Details

### AbstractAuthenticationFormServlet

public AbstractAuthenticationFormServlet()
Deprecated.

## Method Details

### doGet

protected void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws IOException
Deprecated.
Prepares and returns the login form. The response is sent as an UTF-8 encoded `text/html` page with all known cache control headers set to prevent all caching.

This servlet is to be called to handle the request directly, that is it expected to not be included and for the response to not be committed yet because it first resets the response.

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `IOException` - if an error occurs preparing or sending back the login form
  `IllegalStateException` - if the response has already been committed and thus response reset is not possible.

### doPost

protected void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws IOException
Deprecated.
Prepares and returns the login form. The response is sent as an UTF-8 encoded `text/html` page with all known cache control headers set to prevent all caching.

This servlet is to be called to handle the request directly, that is it expected to not be included and for the response to not be committed yet because it first resets the response.

Overrides:
  `doPost` in class `javax.servlet.http.HttpServlet`
Throws:
  `IOException` - if an error occurs preparing or sending back the login form
  `IllegalStateException` - if the response has already been committed and thus response reset is not possible.

### getForm

protected String getForm(javax.servlet.http.HttpServletRequest request) throws IOException
Deprecated.
Returns the form to be sent back to the client for login providing an optional informational message and the optional target to redirect to after successfully logging in.

Parameters:
  `request` - The request providing parameters indicating the informational message and redirection target.
Returns:
  The login form to be returned to the client
Throws:
  `IOException` - If the login form cannot be loaded

### getResource

protected String getResource(javax.servlet.http.HttpServletRequest request)
Deprecated.
Returns the path to the resource to which the request should be redirected after successfully completing the form or an empty string if there is no `resource` request parameter.

Parameters:
  `request` - The request providing the `resource` parameter.
Returns:
  The target to redirect after successfully login or an empty string if no specific target has been requested.

### getReason

protected abstract String getReason(javax.servlet.http.HttpServletRequest request)
Deprecated.
Returns an informational message according to the value provided in the `j_reason` request parameter. Supported reasons are invalid credentials and session timeout.

Parameters:
  `request` - The request providing the parameter
Returns:
  The "translated" reason to render the login form or an empty string if there is no specific reason

### getContextPath

protected String getContextPath(javax.servlet.http.HttpServletRequest request)
Deprecated.
Returns the context path for the authentication form request. This path is the path to the authenticated resource as returned by `getResource(HttpServletRequest)` (without the optional query string which may be contained in the resource path). If `getResource(HttpServletRequest)` return an empty string, the servlet context path is used.

Parameters:
  `request` - The request
Returns:
  The context path for the form action consisting of the resource to which the user is to authenticate.

### getDefaultFormPath

protected String getDefaultFormPath()
Deprecated.
Returns the path to the default login form to load through the class loader of this instance using `Class.getResourceAsStream`.

The default form is used intended to be included with the bundle implementing this abstract class.

This method returns `DEFAULT_FORM_PATH` and may be overwritten by implementations.

Returns:
  `DEFAULT_FORM_PATH`

### getCustomFormPath

protected String getCustomFormPath()
Deprecated.
Returns the path to the custom login form to load through the class loader of this instance using `Class.getResourceAsStream`.

The custom form can be supplied by a fragment attaching to the bundle implementing this abstract class.

This method returns `CUSTOM_FORM_PATH` and may be overwritten by implementations.

Returns:
  `CUSTOM_FORM_PATH`